Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
autogenerated files (sorry)
[simgrid.git] / examples / java / ping_pong / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 #########################
24 # How to compile the code
25 # All this to only get a dumb javac *java... Automake still have issues with java
26
27 # Makefile chunk which allows to display the files which should be included
28 # into the distribution.
29
30 # It is intended to be included in all Makefile.am 
31 VPATH = @srcdir@
32 pkgdatadir = $(datadir)/@PACKAGE@
33 pkglibdir = $(libdir)/@PACKAGE@
34 pkgincludedir = $(includedir)/@PACKAGE@
35 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36 install_sh_DATA = $(install_sh) -c -m 644
37 install_sh_PROGRAM = $(install_sh) -c
38 install_sh_SCRIPT = $(install_sh) -c
39 INSTALL_HEADER = $(INSTALL_DATA)
40 transform = $(program_transform_name)
41 NORMAL_INSTALL = :
42 PRE_INSTALL = :
43 POST_INSTALL = :
44 NORMAL_UNINSTALL = :
45 PRE_UNINSTALL = :
46 POST_UNINSTALL = :
47 build_triplet = @build@
48 host_triplet = @host@
49 target_triplet = @target@
50 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
51         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
52 subdir = examples/java/ping_pong
53 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
54 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
55         $(top_srcdir)/acmacro/compiler-flags.m4 \
56         $(top_srcdir)/acmacro/context.m4 \
57         $(top_srcdir)/acmacro/fancy_configury.m4 \
58         $(top_srcdir)/acmacro/flex.m4 \
59         $(top_srcdir)/acmacro/gras_arch.m4 \
60         $(top_srcdir)/acmacro/libtool.m4 \
61         $(top_srcdir)/acmacro/ltoptions.m4 \
62         $(top_srcdir)/acmacro/ltsugar.m4 \
63         $(top_srcdir)/acmacro/ltversion.m4 \
64         $(top_srcdir)/acmacro/lt~obsolete.m4 \
65         $(top_srcdir)/acmacro/print_null.m4 \
66         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
67 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
68         $(ACLOCAL_M4)
69 mkinstalldirs = $(install_sh) -d
70 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
71 CONFIG_CLEAN_FILES =
72 SOURCES =
73 DIST_SOURCES =
74 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
75 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
76 ACLOCAL = @ACLOCAL@
77 ADDR2LINE = @ADDR2LINE@
78 AMTAR = @AMTAR@
79 AM_CPPFLAGS = @AM_CPPFLAGS@
80 AR = @AR@
81 AS = @AS@
82 AUTOCONF = @AUTOCONF@
83 AUTOHEADER = @AUTOHEADER@
84 AUTOMAKE = @AUTOMAKE@
85 AWK = @AWK@
86 BASH = @BASH@
87 CC = @CC@
88 CCDEPMODE = @CCDEPMODE@
89 CFLAGS = @CFLAGS@
90 CPP = @CPP@
91 CPPFLAGS = @CPPFLAGS@
92 CXX = @CXX@
93 CXXCPP = @CXXCPP@
94 CXXDEPMODE = @CXXDEPMODE@
95 CXXFLAGS = @CXXFLAGS@
96 CYGPATH_W = @CYGPATH_W@
97 DEFS = @DEFS@
98 DEPDIR = @DEPDIR@
99 DLLTOOL = @DLLTOOL@
100 DOXYGEN = @DOXYGEN@
101 DSYMUTIL = @DSYMUTIL@
102 DUMPBIN = @DUMPBIN@
103 ECHO_C = @ECHO_C@
104 ECHO_N = @ECHO_N@
105 ECHO_T = @ECHO_T@
106 EGREP = @EGREP@
107 EXEEXT = @EXEEXT@
108 FGREP = @FGREP@
109 FLEXML = @FLEXML@
110 GCJ = @GCJ@
111 GCJDEPMODE = @GCJDEPMODE@
112 GCJFLAGS = @GCJFLAGS@
113 GRAS_DEP = @GRAS_DEP@
114 GREP = @GREP@
115 INSTALL = @INSTALL@
116 INSTALL_DATA = @INSTALL_DATA@
117 INSTALL_PROGRAM = @INSTALL_PROGRAM@
118 INSTALL_SCRIPT = @INSTALL_SCRIPT@
119 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
120 JAR = @JAR@
121 JAVA = @JAVA@
122 JAVAC = @JAVAC@
123 LD = @LD@
124 LDFLAGS = @LDFLAGS@
125 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
126 LEX = @LEX@
127 LEXLIB = @LEXLIB@
128 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
129 LIBOBJS = @LIBOBJS@
130 LIBS = @LIBS@
131 LIBTOOL = @LIBTOOL@
132 LIPO = @LIPO@
133 LN_S = @LN_S@
134 LTLIBOBJS = @LTLIBOBJS@
135 MAINT = @MAINT@
136 MAKEINFO = @MAKEINFO@
137 MKDIR_P = @MKDIR_P@
138 NM = @NM@
139 NMEDIT = @NMEDIT@
140 OBJDUMP = @OBJDUMP@
141 OBJEXT = @OBJEXT@
142 OTOOL = @OTOOL@
143 OTOOL64 = @OTOOL64@
144 PACKAGE = @PACKAGE@
145 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
146 PACKAGE_NAME = @PACKAGE_NAME@
147 PACKAGE_STRING = @PACKAGE_STRING@
148 PACKAGE_TARNAME = @PACKAGE_TARNAME@
149 PACKAGE_VERSION = @PACKAGE_VERSION@
150 PATH_SEPARATOR = @PATH_SEPARATOR@
151 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
152 RANLIB = @RANLIB@
153 SED = @SED@
154 SET_MAKE = @SET_MAKE@
155 SHELL = @SHELL@
156 SIMGRID_DEP = @SIMGRID_DEP@
157 SMPI_DEP = @SMPI_DEP@
158 STRIP = @STRIP@
159 VERSION = @VERSION@
160 WARNING = @WARNING@
161 abs_builddir = @abs_builddir@
162 abs_srcdir = @abs_srcdir@
163 abs_top_builddir = @abs_top_builddir@
164 abs_top_srcdir = @abs_top_srcdir@
165 ac_configure_args = @ac_configure_args@
166 ac_ct_CC = @ac_ct_CC@
167 ac_ct_CXX = @ac_ct_CXX@
168 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
169 am__include = @am__include@
170 am__leading_dot = @am__leading_dot@
171 am__quote = @am__quote@
172 am__tar = @am__tar@
173 am__untar = @am__untar@
174 bindir = @bindir@
175 build = @build@
176 build_alias = @build_alias@
177 build_cpu = @build_cpu@
178 build_id = @build_id@
179 build_os = @build_os@
180 build_vendor = @build_vendor@
181 builddir = @builddir@
182 datadir = @datadir@
183 datarootdir = @datarootdir@
184 docdir = @docdir@
185 dvidir = @dvidir@
186 exec_prefix = @exec_prefix@
187 host = @host@
188 host_alias = @host_alias@
189 host_cpu = @host_cpu@
190 host_os = @host_os@
191 host_vendor = @host_vendor@
192 htmldir = @htmldir@
193 includedir = @includedir@
194 infodir = @infodir@
195 install_sh = @install_sh@
196 libdir = @libdir@
197 libexecdir = @libexecdir@
198 localedir = @localedir@
199 localstatedir = @localstatedir@
200 lt_ECHO = @lt_ECHO@
201 mandir = @mandir@
202 mkdir_p = @mkdir_p@
203 oldincludedir = @oldincludedir@
204 pdfdir = @pdfdir@
205 prefix = @prefix@
206 program_transform_name = @program_transform_name@
207 psdir = @psdir@
208 pth_skaddr_makecontext = @pth_skaddr_makecontext@
209 pth_sksize_makecontext = @pth_sksize_makecontext@
210 sbindir = @sbindir@
211 sharedstatedir = @sharedstatedir@
212 srcdir = @srcdir@
213 sysconfdir = @sysconfdir@
214 target = @target@
215 target_alias = @target_alias@
216 target_cpu = @target_cpu@
217 target_os = @target_os@
218 target_vendor = @target_vendor@
219 top_builddir = @top_builddir@
220 top_srcdir = @top_srcdir@
221 EXTRA_DIST = ping_pong_deployment.xml ping_pong_platform.xml \
222         $(JAVA_SRC)
223
224 # Declare sources:
225 JAVA_SRC = Sender.java Receiver.java PingPongTask.java PingPongTest.java
226 JAVA_TESTS = PingPongTest.class
227 TESTS = $(JAVA_TESTS)
228
229 # Declare test class
230 @HAVE_JAVA_TRUE@noinst_JAVA = $(JAVA_SRC)
231 JAVAROOT = .
232 AM_JAVACFLAGS = -classpath $(top_srcdir)/src/simgrid.jar:.
233 @HAVE_JAVA_FALSE@TESTS_ENVIRONMENT = DO_NOT_HAVE_JAVA=1 $(srcdir)/../runtest 
234
235 ##########################
236 # What to do on make check
237 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
238 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
239 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
240 # We also need to express dependencies manually (in each test dir)
241 # Damn...
242 @HAVE_JAVA_TRUE@TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
243 @HAVE_JAVA_TRUE@                    CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
244 @HAVE_JAVA_TRUE@                    $(srcdir)/../runtest 
245
246 all: all-am
247
248 .SUFFIXES:
249 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
250         @for dep in $?; do \
251           case '$(am__configure_deps)' in \
252             *$$dep*) \
253               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
254                 && exit 0; \
255               exit 1;; \
256           esac; \
257         done; \
258         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/ping_pong/Makefile'; \
259         cd $(top_srcdir) && \
260           $(AUTOMAKE) --gnu  examples/java/ping_pong/Makefile
261 .PRECIOUS: Makefile
262 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
263         @case '$?' in \
264           *config.status*) \
265             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
266           *) \
267             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
268             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
269         esac;
270
271 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
272         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
273
274 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
275         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
276 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
277         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
278
279 mostlyclean-libtool:
280         -rm -f *.lo
281
282 clean-libtool:
283         -rm -rf .libs _libs
284
285 classnoinst.stamp: $(noinst_JAVA)
286         @list1='$?'; list2=; if test -n "$$list1"; then \
287           for p in $$list1; do \
288             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
289             list2="$$list2 $$d$$p"; \
290           done; \
291           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
292           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
293         else :; fi
294         echo timestamp > classnoinst.stamp
295
296 clean-noinstJAVA:
297         -rm -f *.class classnoinst.stamp
298 tags: TAGS
299 TAGS:
300
301 ctags: CTAGS
302 CTAGS:
303
304
305 check-TESTS: $(TESTS)
306         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
307         srcdir=$(srcdir); export srcdir; \
308         list=' $(TESTS) '; \
309         if test -n "$$list"; then \
310           for tst in $$list; do \
311             if test -f ./$$tst; then dir=./; \
312             elif test -f $$tst; then dir=; \
313             else dir="$(srcdir)/"; fi; \
314             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
315               all=`expr $$all + 1`; \
316               case " $(XFAIL_TESTS) " in \
317               *$$ws$$tst$$ws*) \
318                 xpass=`expr $$xpass + 1`; \
319                 failed=`expr $$failed + 1`; \
320                 echo "XPASS: $$tst"; \
321               ;; \
322               *) \
323                 echo "PASS: $$tst"; \
324               ;; \
325               esac; \
326             elif test $$? -ne 77; then \
327               all=`expr $$all + 1`; \
328               case " $(XFAIL_TESTS) " in \
329               *$$ws$$tst$$ws*) \
330                 xfail=`expr $$xfail + 1`; \
331                 echo "XFAIL: $$tst"; \
332               ;; \
333               *) \
334                 failed=`expr $$failed + 1`; \
335                 echo "FAIL: $$tst"; \
336               ;; \
337               esac; \
338             else \
339               skip=`expr $$skip + 1`; \
340               echo "SKIP: $$tst"; \
341             fi; \
342           done; \
343           if test "$$failed" -eq 0; then \
344             if test "$$xfail" -eq 0; then \
345               banner="All $$all tests passed"; \
346             else \
347               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
348             fi; \
349           else \
350             if test "$$xpass" -eq 0; then \
351               banner="$$failed of $$all tests failed"; \
352             else \
353               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
354             fi; \
355           fi; \
356           dashes="$$banner"; \
357           skipped=""; \
358           if test "$$skip" -ne 0; then \
359             skipped="($$skip tests were not run)"; \
360             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
361               dashes="$$skipped"; \
362           fi; \
363           report=""; \
364           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
365             report="Please report to $(PACKAGE_BUGREPORT)"; \
366             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
367               dashes="$$report"; \
368           fi; \
369           dashes=`echo "$$dashes" | sed s/./=/g`; \
370           echo "$$dashes"; \
371           echo "$$banner"; \
372           test -z "$$skipped" || echo "$$skipped"; \
373           test -z "$$report" || echo "$$report"; \
374           echo "$$dashes"; \
375           test "$$failed" -eq 0; \
376         else :; fi
377
378 distdir: $(DISTFILES)
379         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
380         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
381         list='$(DISTFILES)'; \
382           dist_files=`for file in $$list; do echo $$file; done | \
383           sed -e "s|^$$srcdirstrip/||;t" \
384               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
385         case $$dist_files in \
386           */*) $(MKDIR_P) `echo "$$dist_files" | \
387                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
388                            sort -u` ;; \
389         esac; \
390         for file in $$dist_files; do \
391           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
392           if test -d $$d/$$file; then \
393             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
394             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
395               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
396             fi; \
397             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
398           else \
399             test -f $(distdir)/$$file \
400             || cp -p $$d/$$file $(distdir)/$$file \
401             || exit 1; \
402           fi; \
403         done
404 check-am: all-am
405         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
406 check: check-am
407 all-am: Makefile classnoinst.stamp
408 installdirs:
409 install: install-am
410 install-exec: install-exec-am
411 install-data: install-data-am
412 uninstall: uninstall-am
413
414 install-am: all-am
415         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
416
417 installcheck: installcheck-am
418 install-strip:
419         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
420           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
421           `test -z '$(STRIP)' || \
422             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
423 mostlyclean-generic:
424
425 clean-generic:
426
427 distclean-generic:
428         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
429
430 maintainer-clean-generic:
431         @echo "This command is intended for maintainers to use"
432         @echo "it deletes files that may require special tools to rebuild."
433 clean: clean-am
434
435 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
436
437 distclean: distclean-am
438         -rm -f Makefile
439 distclean-am: clean-am distclean-generic
440
441 dvi: dvi-am
442
443 dvi-am:
444
445 html: html-am
446
447 info: info-am
448
449 info-am:
450
451 install-data-am:
452
453 install-dvi: install-dvi-am
454
455 install-exec-am:
456
457 install-html: install-html-am
458
459 install-info: install-info-am
460
461 install-man:
462
463 install-pdf: install-pdf-am
464
465 install-ps: install-ps-am
466
467 installcheck-am:
468
469 maintainer-clean: maintainer-clean-am
470         -rm -f Makefile
471 maintainer-clean-am: distclean-am maintainer-clean-generic
472
473 mostlyclean: mostlyclean-am
474
475 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
476
477 pdf: pdf-am
478
479 pdf-am:
480
481 ps: ps-am
482
483 ps-am:
484
485 uninstall-am:
486
487 .MAKE: install-am install-strip
488
489 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
490         clean-libtool clean-noinstJAVA distclean distclean-generic \
491         distclean-libtool distdir dvi dvi-am html html-am info info-am \
492         install install-am install-data install-data-am install-dvi \
493         install-dvi-am install-exec install-exec-am install-html \
494         install-html-am install-info install-info-am install-man \
495         install-pdf install-pdf-am install-ps install-ps-am \
496         install-strip installcheck installcheck-am installdirs \
497         maintainer-clean maintainer-clean-generic mostlyclean \
498         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
499         uninstall uninstall-am
500
501
502 # declare that we must recompile everything before lauching tests
503 $(TESTS): classnoinst.stamp
504
505 dist-files:
506         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
507         @echo
508         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
509
510 # Cruft
511 # Tell versions [3.59,3.63) of GNU make to not export all variables.
512 # Otherwise a system limit (for SysV at least) may be exceeded.
513 .NOEXPORT: